Package org.apache.wiki.tags

## Class LinkTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.WikiLinkTag
      - - org.apache.wiki.tags.LinkTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`, `ParamHandler`

    public class LinkTag
    extends WikiLinkTag
    implements ParamHandler, javax.servlet.jsp.tagext.BodyTag

Provides a generic link tag for all kinds of linking purposes.

If parameter jsp is defined, constructs a URL pointing to the specified JSP page, under the baseURL known by the Engine. Any ParamTag name-value pairs contained in the body are added to this URL to provide support for arbitrary JSP calls.

Since:
  2.3.50
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiLinkTag

`ANCHOR, m_format, m_pageName, m_template, URL`

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`LinkTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doEndTag()`
`void` `doInitBody()`
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`java.lang.String` `getVersion()`
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setAccessKey​(java.lang.String key)`
`void` `setBodyContent​(javax.servlet.jsp.tagext.BodyContent bc)`
`void` `setCompareToVersion​(java.lang.String ver)`
`void` `setContainedParameter​(java.lang.String name, java.lang.String value)` Support for ParamTag supplied parameters in body.
`void` `setContext​(java.lang.String context)`
`void` `setCssClass​(java.lang.String arg)`
`void` `setJsp​(java.lang.String jsp)`
`void` `setRef​(java.lang.String ref)`
`void` `setRel​(java.lang.String rel)`
`void` `setStyle​(java.lang.String style)`
`void` `setTabindex​(java.lang.String tabindex)`
`void` `setTarget​(java.lang.String target)`
`void` `setTemplatefile​(java.lang.String key)`
`void` `setTitle​(java.lang.String title)`
`void` `setVersion​(java.lang.String arg)`

### Methods inherited from class org.apache.wiki.tags.WikiLinkTag

`getPage, getTemplate, setFormat, setPage, setTemplate`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.IterationTag

`doAfterBody`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`doStartTag, getParent, release, setPageContext, setParent`

### Constructor Detail

#### LinkTag

    public LinkTag()

### Method Detail

#### initTag

    public void initTag()

Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiLinkTag`

#### setTemplatefile

    public void setTemplatefile​(java.lang.String key)

#### setAccessKey

    public void setAccessKey​(java.lang.String key)

#### getVersion

    public java.lang.String getVersion()

#### setVersion

    public void setVersion​(java.lang.String arg)

#### setCssClass

    public void setCssClass​(java.lang.String arg)

#### setStyle

    public void setStyle​(java.lang.String style)

#### setTitle

    public void setTitle​(java.lang.String title)

#### setTarget

    public void setTarget​(java.lang.String target)

#### setTabindex

    public void setTabindex​(java.lang.String tabindex)

#### setCompareToVersion

    public void setCompareToVersion​(java.lang.String ver)

#### setRel

    public void setRel​(java.lang.String rel)

#### setRef

    public void setRef​(java.lang.String ref)

#### setJsp

    public void setJsp​(java.lang.String jsp)

#### setContext

    public void setContext​(java.lang.String context)

#### setContainedParameter

    public void setContainedParameter​(java.lang.String name,
                                      java.lang.String value)

Support for ParamTag supplied parameters in body.

Specified by:
  `setContainedParameter` in interface `ParamHandler`

#### doWikiStartTag

    public int doWikiStartTag()
                       throws java.lang.Exception

Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.lang.Exception`

#### doEndTag

    public int doEndTag()

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `WikiLinkTag`

#### setBodyContent

    public void setBodyContent​(javax.servlet.jsp.tagext.BodyContent bc)

Specified by:
  `setBodyContent` in interface `javax.servlet.jsp.tagext.BodyTag`

#### doInitBody

    public void doInitBody()

Specified by:
  `doInitBody` in interface `javax.servlet.jsp.tagext.BodyTag`